Loading...

algoscore-users@gna.org

[Prev] Thread [Next]  |  [Prev] Date [Next]

Re: [AlgoScore] Algoscore wants Csound 5.1 Jonatan Liljedahl Mon Dec 21 15:00:04 2009

Hi there, due to lack of time it was a long time ago I updated 
AlgoScore, I should probably compile a new package with latest CSound 
and JackOSX, but I can't say when this will happen.

I don't think it's possible to hack the binary to accept 5.2, but you 
could install csound 5.1, perhaps even simultaneously (haven't tried that).

I will probably not work much on current AlgoScore but instead focus on 
my plans for AlgoScore2, which will use SuperCollider instead of CSound 
(but it will still be possible to control csound through OSC in realtime)

/Jonatan

Charles Turner wrote:
> Hi Jonatan-
> 
> I was interested in AlgoScore for OSX and downloaded the pre-compiled 
> binary. Looks like Algoscore isn't happy with Csound ver 5.2:
> 
> 12/21/09 2:47:18 PM [0x0-0x34034].com.kymatica.AlgoScore[1826] dyld: 
> Library not loaded: 
> /Library/Frameworks/CsoundLib.Framework/Versions/5.1/CsoundLib
> 12/21/09 2:47:18 PM [0x0-0x34034].com.kymatica.AlgoScore[1826]   
> Referenced from: 
> ///Users/cturner/Downloads/AlgoScore.app/Contents/MacOS/AlgoScore-bin
> 12/21/09 2:47:18 PM [0x0-0x34034].com.kymatica.AlgoScore[1826]   Reason: 
> image not found
> 12/21/09 2:47:18 PM com.apple.launchd[465] 
> ([0x0-0x34034].com.kymatica.AlgoScore[1826]) Exited abnormally: 
> Trace/BPT trap
> 
> (Urgh, and it crashed!)
> 
> Here's my 5.2:
> 
> 
> ------------------------------------------------------------------------
> 
> 
> 
> 
> Is there anyway of hacking the Algoscore binary to accept 5.2? I could 
> build ALgoscore or Csound from source, but I'd rather avoid this at the 
> moment...
> 
> Best, Charles Turner
> 


_______________________________________________
Algoscore-users mailing list
[EMAIL PROTECTED]
https://mail.gna.org/listinfo/algoscore-users